<?php
namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

use Teknisa\DF\Services\Ger40100IntegracaoViaEmailService;

class Ger40100IntegracaoViaEmailController {
    
    protected $ger40100IntegracaoViaEmailService;

    public function __construct(Ger40100IntegracaoViaEmailService $ger40100IntegracaoViaEmailService) {
        $this->ger40100IntegracaoViaEmailService = $ger40100IntegracaoViaEmailService;
        set_time_limit(0);
    }

    public function saveIntegracaoViaEmail(Request $request, Response $response){
        try{
            $row = $request->getRow();
            $this->ger40100IntegracaoViaEmailService->saveIntegracaoViaEmail($row);
        }catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), 500));
        }
    }
}