<?php

/**
* 01/06/2015
* @author Gabriel@Silva
*/

namespace Teknisa\DF\Factories;

use Doctrine\ORM\EntityManager;

class Ger40100IntegracaoViaEmailFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function insereIntgViaEmail($DSSERVEMAIL, $DSLOGINEMAIL, $CDSENHAEMAIL, $NRPORTAEMAIL, $IDUTTLSEMAIL, $IDUTSSLEMAIL, $NRPERIODEMAIL, $DSARQEXTENSAO, $DIRPHP, $JENKINSPATH, $CALLSERVPATH) {
        $sql = " INSERT INTO INTG_VIAEMAIL 
                   ( DSSERVEMAIL,
                	 DSLOGINEMAIL,
                	 CDSENHAEMAIL,
                	 NRPORTAEMAIL,
                	 IDUTTLSEMAIL,
                	 IDUTSSLEMAIL,
                	 NRPERIODEMAIL,
                	 DSARQEXTENSAO,
                	 DIRPHP,
                	 JENKINSPATH,
                	 CALLSERVPATH 
                   ) VALUES ( 
                		 :DSSERVEMAIL,
                		 :DSLOGINEMAIL,
                		 :CDSENHAEMAIL,
                		 :NRPORTAEMAIL,
                		 :IDUTTLSEMAIL,
                		 :IDUTSSLEMAIL,
                		 :NRPERIODEMAIL,
                		 :DSARQEXTENSAO,
                		 :DIRPHP,
                		 :JENKINSPATH,
                		 :CALLSERVPATH 
                   )";

        $params = array(
            "DSSERVEMAIL"=>$DSSERVEMAIL,
            "DSLOGINEMAIL"=>$DSLOGINEMAIL,
            "CDSENHAEMAIL"=>$CDSENHAEMAIL,
            "NRPORTAEMAIL"=>$NRPORTAEMAIL,
            "IDUTTLSEMAIL"=>$IDUTTLSEMAIL,
            "IDUTSSLEMAIL"=>$IDUTSSLEMAIL,
            "NRPERIODEMAIL"=>$NRPERIODEMAIL,
            "DSARQEXTENSAO"=>$DSARQEXTENSAO,
            "DIRPHP"=>$DIRPHP,
            "JENKINSPATH"=>$JENKINSPATH,
            "CALLSERVPATH"=>$CALLSERVPATH
        );
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}