<?php
namespace Teknisa\DF\Modules\Entrada\Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Geral\Logic\ParceiroNegocio;
use Teknisa\DF\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;

class Dfe60000ManifestacaoDestinatarioController extends TeknisaCrud
{
    protected $dataSourceName = 'parammanifesta_grupoper';
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        parent::find($request, $response);
        
        $dataSets = $response->getDataSets();
        if(!empty($dataSets)){
            if(empty($dataSets[0]->getRows())) {
                //$this->insereParametro($request);
            }
        }
        
        parent::find($request, $response);
    }
    
    public function insereParametro($request) {
        $row = array(
            "NRPARMANIFEST"     => '1',
            "NRDIASCONCLUSAO"   => '180',
            "IDCIENCIAEMISS"    => '0',
            "IDCONFIRMAEMISS"   => '0',
            "IDCONFIRMAUTNFFIL" => 'N',
            "__is_new"          => true
        );
        
        $dataSet = new DataSet('parammanifesta_grupoper', array($row));
        $request2 = new DTO\Request\DataSet($dataSet, $request->getMethod(),$request->getRoutePath(), $request->getUserId());
        $dataSourceName = 'parammanifesta_grupoper';
        $rows = $this->crudService->getRowsToSave($request2, $dataSourceName);
        
        $this->crudService->save($dataSourceName, $rows);
    }
}